com.io7m.smfj.processing.api

## Class SMFMetadata.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFMetadata.Builder

- Enclosing class:
    SMFMetadata

      public static final class SMFMetadata.Builder
      extends Object

  Builds instances of type `SMFMetadata`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFMetadata` | `build()` Builds a new `SMFMetadata`.
    `SMFMetadata.Builder` | `from(SMFMetadataType instance)` Fill a builder with attribute values from the provided `SMFMetadataType` instance.
    `SMFMetadata.Builder` | `setData(byte... data)` Initializes the value for the `data` attribute.
    `SMFMetadata.Builder` | `setSchema(SMFSchemaIdentifier schema)` Initializes the value for the `schema` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFMetadata.Builder from(SMFMetadataType instance)

      Fill a builder with attribute values from the provided `SMFMetadataType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSchema

          public final SMFMetadata.Builder setSchema(SMFSchemaIdentifier schema)

      Initializes the value for the `schema` attribute.
      Parameters:
        `schema` - The value for schema
      Returns:
        `this` builder for use in a chained invocation

    - #### setData

          public final SMFMetadata.Builder setData(byte... data)

      Initializes the value for the `data` attribute.
      Parameters:
        `data` - The elements for data
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFMetadata build()

      Builds a new `SMFMetadata`.
      Returns:
        An immutable instance of SMFMetadata
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com